Get assessment profile results

Cortex XSIAM Platform APIs

post /public_api/v1/compliance/get_assessment_results

Retrieve assessment profile results with optional filtering based on the last successful evaluation. Sorting will not take effect even if it is specified in the payload.

Filtering Support:

  • Field (labels): contains, not_contains

Note: This API does not support sorting or pagination.

Required license: Cortex Cloud Runtime Security or Cortex Cloud Posture Management

Authentication: XDRAuthToken Api Key "Authorization"
Authentication: XDRAuth Api Key "x-xdr-auth-id"
CLIENT REQUEST
curl -X 'POST'
-H "Authorization: [[apiKey]]" \
-H "x-xdr-auth-id: [[apiKey]]" \
-H 'Accept: application/json'
-H 'Content-Type: application/json'
'https://api-yourfqdn/public_api/v1/compliance/get_assessment_results'
-d '{ "request_data" : { "filters" : [ { "field" : "labels", "operator" : "contains", "value" : "aws" } ] } }'
import http.client conn = http.client.HTTPSConnection("api-yourfqdn") payload = "{\"request_data\":{\"filters\":[{\"field\":\"labels\",\"operator\":\"contains\",\"value\":\"aws\"}]}}" headers = { 'x-xdr-auth-id': "REPLACE_KEY_VALUE", 'content-type': "application/json" } conn.request("POST", "/public_api/v1/compliance/get_assessment_results", payload, headers) res = conn.getresponse() data = res.read() print(data.decode("utf-8"))
require 'uri' require 'net/http' require 'openssl' url = URI("https://api-yourfqdn/public_api/v1/compliance/get_assessment_results") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true http.verify_mode = OpenSSL::SSL::VERIFY_NONE request = Net::HTTP::Post.new(url) request["x-xdr-auth-id"] = 'REPLACE_KEY_VALUE' request["content-type"] = 'application/json' request.body = "{\"request_data\":{\"filters\":[{\"field\":\"labels\",\"operator\":\"contains\",\"value\":\"aws\"}]}}" response = http.request(request) puts response.read_body
const data = JSON.stringify({ "request_data": { "filters": [ { "field": "labels", "operator": "contains", "value": "aws" } ] } }); const xhr = new XMLHttpRequest(); xhr.withCredentials = true; xhr.addEventListener("readystatechange", function () { if (this.readyState === this.DONE) { console.log(this.responseText); } }); xhr.open("POST", "https://api-yourfqdn/public_api/v1/compliance/get_assessment_results"); xhr.setRequestHeader("x-xdr-auth-id", "REPLACE_KEY_VALUE"); xhr.setRequestHeader("content-type", "application/json"); xhr.send(data);
HttpResponse<String> response = Unirest.post("https://api-yourfqdn/public_api/v1/compliance/get_assessment_results") .header("x-xdr-auth-id", "REPLACE_KEY_VALUE") .header("content-type", "application/json") .body("{\"request_data\":{\"filters\":[{\"field\":\"labels\",\"operator\":\"contains\",\"value\":\"aws\"}]}}") .asString();
import Foundation let headers = [ "x-xdr-auth-id": "REPLACE_KEY_VALUE", "content-type": "application/json" ] let parameters = ["request_data": ["filters": [ [ "field": "labels", "operator": "contains", "value": "aws" ] ]]] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://api-yourfqdn/public_api/v1/compliance/get_assessment_results")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "POST" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume()
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api-yourfqdn/public_api/v1/compliance/get_assessment_results", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "POST", CURLOPT_POSTFIELDS => "{\"request_data\":{\"filters\":[{\"field\":\"labels\",\"operator\":\"contains\",\"value\":\"aws\"}]}}", CURLOPT_HTTPHEADER => [ "content-type: application/json", "x-xdr-auth-id: REPLACE_KEY_VALUE" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
CURL *hnd = curl_easy_init(); curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST"); curl_easy_setopt(hnd, CURLOPT_URL, "https://api-yourfqdn/public_api/v1/compliance/get_assessment_results"); struct curl_slist *headers = NULL; headers = curl_slist_append(headers, "x-xdr-auth-id: REPLACE_KEY_VALUE"); headers = curl_slist_append(headers, "content-type: application/json"); curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers); curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"request_data\":{\"filters\":[{\"field\":\"labels\",\"operator\":\"contains\",\"value\":\"aws\"}]}}"); CURLcode ret = curl_easy_perform(hnd);
var client = new RestClient("https://api-yourfqdn/public_api/v1/compliance/get_assessment_results"); var request = new RestRequest(Method.POST); request.AddHeader("x-xdr-auth-id", "REPLACE_KEY_VALUE"); request.AddHeader("content-type", "application/json"); request.AddParameter("application/json", "{\"request_data\":{\"filters\":[{\"field\":\"labels\",\"operator\":\"contains\",\"value\":\"aws\"}]}}", ParameterType.RequestBody); IRestResponse response = client.Execute(request);
Body parameters
required
application/json
request_dataobjectrequired
filtersarray

Array of filter objects

[
fieldstring (Enum)required

Field to filter on (only 'labels' is supported)

Example:"labels"
Allowed values:"labels"
operatorstring (Enum)required

Filter operator to apply. Valid values include:

  • contains
  • not_contains
Example:"contains"
Allowed values:"contains""not_contains"
valuestringrequired

Value to filter by

Example:"azure"
]
REQUEST
{ "request_data": { "filters": [ { "field": "labels", "operator": "contains", "value": "aws" } ] } }
Responses

Successfully retrieved assessment profile results

Body
application/json
replyobject
total_countinteger

Total number of assessment results available

Example:150
result_countinteger

Number of assessment results matching the applied filters

Example:25
standard_filter_countinteger

Count from standard filter processing

Example:25
standard_total_countinteger

Total count from standard processing

Example:150
dataarray

Array of assessment profile results

[
]
RESPONSE
{ "reply": { "total_count": 150, "result_count": 25, "standard_filter_count": 25, "standard_total_count": 150, "data": [ { "TYPE": "standard", "SCORE": null, "ASSET_GROUP_NAME": null, "ASSET_GROUP_ID": null, "ADDITIONAL_DATA": null, "LAST_EVALUATION_TIME": 1751533328000, "STANDARD_NAME": "CIS Amazon Elastic Kubernetes Service (EKS) Benchmark v1.4", "PROFILES_COUNT": 3, "STANDARD_ID": 9101546381587280000, "LABELS": [ "eks" ], "PATH": [ "CIS Amazon Elastic Kubernetes Service (EKS) Benchmark v1.4" ], "FAILED_CONTROLS_SEVERITY": [ { "value": "CRITICAL", "count": 0, "pretty_name": "Critical" }, { "value": "HIGH", "count": 0, "pretty_name": "High" }, { "value": "MEDIUM", "count": 1, "pretty_name": "Medium" }, { "value": "LOW", "count": 2, "pretty_name": "Low" }, { "value": "INFORMATIONAL", "count": 0, "pretty_name": "Informational" } ], "CONTROLS_STATUS": [ { "value": "PASSED", "count": 0, "pretty_name": "Passed" }, { "value": "NOT_ASSESSED", "count": 153, "pretty_name": "Not Assessed" }, { "value": "FAILED", "count": 0, "pretty_name": "Failed" } ], "ASSESSMENT_PROFILE_REVISION": null } ] } }

Bad request - invalid input parameters

Body
application/json
replyobject
err_codeinteger

Error code

err_msgstring

Error message

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 400, "err_msg": "Invalid filter field. Allowed fields: name, category, subcategory, is_custom, creation_time, created_by, modified_by, modification_time, id, description", "err_extra": {} } }
{ "reply": { "err_code": 400, "err_msg": "Invalid operator 'range' for field 'name'. Allowed operators: eq, neq, contains, not_contains", "err_extra": {} } }
{ "reply": { "err_code": 400, "err_msg": "Missing required parameter: control_name", "err_extra": {} } }
{ "reply": { "err_code": 400, "err_msg": "Invalid value for is_custom field. Allowed values: yes, no", "err_extra": {} } }

Authentication required

Body
application/json
replyobject
err_codeintegerrequired

Error code

err_msgstringrequired

Error message describing what went wrong

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 401, "err_msg": "Authentication credentials were not provided or are invalid", "err_extra": {} } }

Access denied - insufficient permissions

Body
application/json
replyobject
err_codeintegerrequired

Error code

err_msgstringrequired

Error message describing what went wrong

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 403, "err_msg": "You do not have permission to access assessment results", "err_extra": {} } }

Internal server error

Body
application/json
replyobject
err_codeinteger

Error code

err_msgstring

Error message

err_extraobject

Additional error details

RESPONSE
{ "reply": { "err_code": 500, "err_msg": "Failed to retrieve controls", "err_extra": {} } }